[EPEL-devel] Orphaned some packages in EL5 and EL6

2014-12-13 Thread Ville Skyttä
I no longer have access to nor need for EL5 and EL6 boxes so I have orphaned the following packages in those branches: abcde bash-completion ccache colordiff reptyr rpmdevtools tomcat-native ...and I've also orphaned javasqlite in all branches (including Fedora) as I'm not using it any more.

Re: AppData Screenshot Requirements

2014-12-13 Thread Richard Hughes
On 13 December 2014 at 01:05, Zbigniew Jędrzejewski-Szmek zbys...@in.waw.pl wrote: I think you should step back and consider this in context. *Everything* we do in Fedora, and more generally speaking in open source, is a work in progress. 100% agree, I couldn't have said this better myself.

Re: F22 System Wide Change: Change xorg input stack to use libinput

2014-12-13 Thread Tom Hughes
On 13/12/14 01:10, Kevin Kofler wrote: An additional objection I have to this change proposal is that libinput (deliberately) only implements a small subset of the configurability of the old drivers, and thus, if we are going to remove the old drivers entirely, we are taking away flexibility

javasqlite orphaned

2014-12-13 Thread Ville Skyttä
Hi, I'm not using javasqlite any more so I've orphaned it in all branches (including EPEL). -- devel mailing list devel@lists.fedoraproject.org https://admin.fedoraproject.org/mailman/listinfo/devel Fedora Code of Conduct: http://fedoraproject.org/code-of-conduct

rawhide report: 20141213 changes

2014-12-13 Thread Fedora Rawhide Report
Compose started at Sat Dec 13 05:15:03 UTC 2014 Broken deps for i386 -- [3Depict] 3Depict-0.0.16-3.fc22.i686 requires libmgl.so.7.2.0 [Sprog] Sprog-0.14-27.fc20.noarch requires perl(:MODULE_COMPAT_5.18.0) [bibletime]

Re: docker 1.4.0 available, fixes multiple CVEs - testing/karma needed

2014-12-13 Thread Daniel J Walsh
On 12/12/2014 03:34 PM, Lokesh Mandvekar wrote: On Fri, Dec 12, 2014 at 10:14:50AM -0800, M. Edward (Ed) Borasky wrote: Working here on F21 - karma logged! Thanks. Btw, could you also check if things work fine after restarting docker.service (if not tested already)? I see database locked

Re: Heads up: F21 LLVM rebase

2014-12-13 Thread Michael DePaulo
On Fri, Dec 12, 2014 at 7:51 PM, Kevin Kofler kevin.kof...@chello.at wrote: Michael DePaulo wrote: I too come from an Ubuntu/Debian background. Like other major pieces of software, Ubuntu and Debian both make multiple 2.x or 3.x versions of LLVM available for each release of their OS. They do

Re: Qwt and QwtPolar for Qt5?

2014-12-13 Thread Dave Johansen
On Fri, Dec 12, 2014 at 1:29 PM, Rex Dieter rdie...@math.unl.edu wrote: Dave Johansen wrote: I would like to create Qwt and QwtPolar packages for Qt5 and before opening the Bugzilla I wanted to check if there was any feedback on here. I have spec files and source RPMs available at:

Re: is it possible to skip a noarch subpackage on certains archs (arm)

2014-12-13 Thread Nico Kadel-Garcia
On Fri, Dec 12, 2014 at 1:09 AM, Zbigniew Jędrzejewski-Szmek zbys...@in.waw.pl wrote: Hi, I have a package (a C++ library), which generated doxygen documentation during build. The documentation lands in a noarch -doc subpackage, the rest in the main package or in subpackages, all arch-ed.

yum update failure in fedora19

2014-12-13 Thread Atin Mukherjee
Hi List, I've been facing a multilib protection failure in yum update. When I tried to clean /var/run/cache/yum/* as well passing setopt=protected_multilib=false as parameter in yum update, but none of them actually resolved the issue. After turning off protected_multilib, I am getting the

Re: yum update failure in fedora19

2014-12-13 Thread Tom Hughes
On 13/12/14 15:19, Atin Mukherjee wrote: I've been facing a multilib protection failure in yum update. When I tried to clean /var/run/cache/yum/* as well passing setopt=protected_multilib=false as parameter in yum update, but none of them actually resolved the issue. After turning off

Re: yum update failure in fedora19

2014-12-13 Thread Ralf Corsepius
On 12/13/2014 04:19 PM, Atin Mukherjee wrote: Hi List, I've been facing a multilib protection failure in yum update. When I tried to clean /var/run/cache/yum/* as well passing setopt=protected_multilib=false as parameter in yum update, but none of them actually resolved the issue. After turning

Re: Qwt and QwtPolar for Qt5?

2014-12-13 Thread Rex Dieter
Dave Johansen wrote: I took the same approach of adding -qt5 to the .so files and such, but it sounds like it's worth waiting to see what upstream is going to do before committing to anything in EPEL and the Fedora stable releases. Is there any estimate of when that decision will be made? No

F21 downloads repository metadata in 3 places!

2014-12-13 Thread Hedayat Vatankhah
Hi! I noticed that F21 can potentially download repository metadata 3 times: 1. Yum cache 2. DNF cache 3. PackageKit cache! It really hurts to see how Fedora ignorance towards different kind of users is being increased as time passes. If Fedora is an international distro, it should try to

Re: F21 downloads repository metadata in 3 places!

2014-12-13 Thread Reindl Harald
Am 13.12.2014 um 22:10 schrieb Hedayat Vatankhah: I noticed that F21 can potentially download repository metadata 3 times: 1. Yum cache 2. DNF cache 3. PackageKit cache! It really hurts to see how Fedora ignorance towards different kind of users is being increased as time passes. If Fedora is

Re: is it possible to skip a noarch subpackage on certains archs (arm)

2014-12-13 Thread Zbigniew Jędrzejewski-Szmek
On Sat, Dec 13, 2014 at 10:00:00AM -0500, Nico Kadel-Garcia wrote: On Fri, Dec 12, 2014 at 1:09 AM, Zbigniew Jędrzejewski-Szmek zbys...@in.waw.pl wrote: Hi, I have a package (a C++ library), which generated doxygen documentation during build. The documentation lands in a noarch -doc

Re: F21 downloads repository metadata in 3 places!

2014-12-13 Thread Hedayat Vatankhah
/*Reindl Harald h.rei...@thelounge.net*/ wrote on Sat, 13 Dec 2014 22:19:25 +0100: Am 13.12.2014 um 22:10 schrieb Hedayat Vatankhah: I noticed that F21 can potentially download repository metadata 3 times: 1. Yum cache 2. DNF cache 3. PackageKit cache! It really hurts to see how Fedora

Re: Contacts for MinGW SIG

2014-12-13 Thread Michael Cronenworth
On 12/12/2014 08:02 AM, Michael Cronenworth wrote: You could either e-mail Erik directly or ping epienbroek in #fedora-mingw. I will offer to take up co-maintainership if he's too busy. I have pushed updates for all branches. Feel free to leave karma. -- devel mailing list

Re: Contacts for MinGW SIG

2014-12-13 Thread Jason
On Dec 13, 2014, at 17:56, Michael Cronenworth m...@cchtml.com wrote: On 12/12/2014 08:02 AM, Michael Cronenworth wrote: You could either e-mail Erik directly or ping epienbroek in #fedora-mingw. I will offer to take up co-maintainership if he's too busy. I have pushed updates for all

Re: Fedora Installation Needs Intelligence

2014-12-13 Thread Garry T. Williams
On 12-12-14 08:25:56 Jan Kratochvil wrote: On Fri, 12 Dec 2014 08:17:45 +0100, Satyajit Sahoo wrote: Wireless is a requirement for laptops. For example, Macbook Air doesn't have an ethernet port. s/requirement for laptops/requirement for Macbook Air/ Well, my Dell XPS-13 didn't come with

Re: Poll: How users use DNF

2014-12-13 Thread Hedayat Vatankhah
/*Radek Holy rh...@redhat.com*/ wrote on Tue, 9 Dec 2014 12:28:54 -0500 (EST): Dear users of YUM and DNF, I'm writing to you regarding a request for your feedback. I would be very grateful if you could send me a brief description of how you use YUM or DNF currently or how would you like to

Re: Fedora Installation Needs Intelligence

2014-12-13 Thread Samuel Sieb
On 12/12/2014 03:57 AM, Marcin Juszkiewicz wrote: There are still wireless cards which do not work with Linux out of box? (assuming that firmware is provided) The firmware is the problem. There are some Broadcom chipsets that need firmware to work, but that firmware is not allowed to be

Re: F21 downloads repository metadata in 3 places!

2014-12-13 Thread Samuel Sieb
On 12/13/2014 01:10 PM, Hedayat Vatankhah wrote: Hi! I noticed that F21 can potentially download repository metadata 3 times: 1. Yum cache 2. DNF cache 3. PackageKit cache! It really hurts to see I'm not aware of the PackageKit cache, where is it? I did accidentally discover about dnf

[Bug 1169750] CVE-2014-9130 perl-YAML-LibYAML: libyaml: assert failure when processing wrapped strings [fedora-all]

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1169750 Fedora Update System upda...@fedoraproject.org changed: What|Removed |Added Fixed In Version|perl-YAML-LibYAML-0.54-1.fc

[Bug 1169369] CVE-2014-9130 libyaml: assert failure when processing wrapped strings

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1169369 --- Comment #11 from Fedora Update System upda...@fedoraproject.org --- perl-YAML-LibYAML-0.54-1.fc19 has been pushed to the Fedora 19 stable repository. If problems still persist, please make note of it in this bug report. -- You are

[Bug 1173066] perl-YAML-Syck-1.28 is available

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1173066 Fedora Update System upda...@fedoraproject.org changed: What|Removed |Added Status|MODIFIED|ON_QA

[Bug 1169369] CVE-2014-9130 libyaml: assert failure when processing wrapped strings

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1169369 --- Comment #12 from Fedora Update System upda...@fedoraproject.org --- libyaml-0.1.6-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report. -- You are receiving this

[Bug 1169369] CVE-2014-9130 libyaml: assert failure when processing wrapped strings

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1169369 Bug 1169369 depends on bug 1169371, which changed state. Bug 1169371 Summary: CVE-2014-9130 libyaml: assert failure when processing wrapped strings [fedora-all] https://bugzilla.redhat.com/show_bug.cgi?id=1169371 What|Removed

[Bug 1173059] perl-DB_File-1.834 is available

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1173059 Fedora Update System upda...@fedoraproject.org changed: What|Removed |Added Status|MODIFIED|ON_QA

[Bug 1172627] perl-Filter-1.51 is available

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1172627 Fedora Update System upda...@fedoraproject.org changed: What|Removed |Added Status|MODIFIED|ON_QA

[Bug 1169369] CVE-2014-9130 libyaml: assert failure when processing wrapped strings

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1169369 --- Comment #13 from Fedora Update System upda...@fedoraproject.org --- libyaml-0.1.6-2.fc19 has been pushed to the Fedora 19 stable repository. If problems still persist, please make note of it in this bug report. -- You are receiving this

[Bug 1173061] perl-IPC-Run-0.93 is available

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1173061 Fedora Update System upda...@fedoraproject.org changed: What|Removed |Added Status|MODIFIED|ON_QA

[Bug 1169750] CVE-2014-9130 perl-YAML-LibYAML: libyaml: assert failure when processing wrapped strings [fedora-all]

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1169750 Fedora Update System upda...@fedoraproject.org changed: What|Removed |Added Fixed In Version|perl-YAML-LibYAML-0.54-1.fc

[Bug 1169369] CVE-2014-9130 libyaml: assert failure when processing wrapped strings

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1169369 --- Comment #14 from Fedora Update System upda...@fedoraproject.org --- perl-YAML-LibYAML-0.54-1.fc20 has been pushed to the Fedora 20 stable repository. If problems still persist, please make note of it in this bug report. -- You are

[Bug 1169369] CVE-2014-9130 libyaml: assert failure when processing wrapped strings

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1169369 --- Comment #15 from Fedora Update System upda...@fedoraproject.org --- libyaml-0.1.6-2.fc20 has been pushed to the Fedora 20 stable repository. If problems still persist, please make note of it in this bug report. -- You are receiving this

[perl-Text-BibTeX] - fix build on non-x86 64-bit arches

2014-12-13 Thread Dan Horák
commit 6868b5eeec5fb9863cb43db48cd561ef69af309b Author: Dan Horák d...@danny.cz Date: Sat Dec 13 12:03:45 2014 +0100 - fix build on non-x86 64-bit arches perl-Text-BibTeX-secondary.patch | 12 perl-Text-BibTeX.spec|8 +++- 2 files changed, 19

[perl-Text-BibTeX/f21] - fix build on non-x86 64-bit arches

2014-12-13 Thread Dan Horák
Summary of changes: 6868b5e... - fix build on non-x86 64-bit arches (*) (*) This commit already existed in another branch; no separate mail sent -- Fedora Extras Perl SIG http://www.fedoraproject.org/wiki/Extras/SIGs/Perl perl-devel mailing list perl-devel@lists.fedoraproject.org

[Bug 1166504] Can't locate strict.pm: Permission denied error message does not report concerned file path

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1166504 --- Comment #15 from Doug Maxey d...@enoyolf.org --- Ok, turns out there was some junk older, like really older perl libs in /usr/local. So, with the security enhancement, had to clobber those. That, along with adding 'use lib ...' all is

[Bug 1166504] Can't locate strict.pm: Permission denied error message does not report concerned file path

2014-12-13 Thread bugzilla
https://bugzilla.redhat.com/show_bug.cgi?id=1166504 Emmanuel Seyman emman...@seyman.fr changed: What|Removed |Added Status|MODIFIED|CLOSED

File Mojolicious-5.69.tar.gz uploaded to lookaside cache by eseyman

2014-12-13 Thread Emmanuel Seyman
A file has been added to the lookaside cache for perl-Mojolicious: c7e86a9251e9c208938b06531f45de4e Mojolicious-5.69.tar.gz -- Fedora Extras Perl SIG http://www.fedoraproject.org/wiki/Extras/SIGs/Perl perl-devel mailing list perl-devel@lists.fedoraproject.org

[perl-Mojolicious] Update to 5.69

2014-12-13 Thread Emmanuel Seyman
commit f7fd7392dff02e76ece83dcfc674bf93bdc42f33 Author: Emmanuel Seyman emman...@seyman.fr Date: Sun Dec 14 03:43:48 2014 +0100 Update to 5.69 .gitignore|1 + perl-Mojolicious.spec |5 - sources |2 +- 3 files changed, 6 insertions(+), 2

[perl-App-Nopaste] Update to 1.001

2014-12-13 Thread Emmanuel Seyman
commit 1c5ab5611a4f1ac0b196922b06a7ea4cdda4b5f2 Author: Emmanuel Seyman emman...@seyman.fr Date: Sun Dec 14 03:54:45 2014 +0100 Update to 1.001 .gitignore|1 + perl-App-Nopaste.spec |7 ++- sources |2 +- 3 files changed, 8 insertions(+), 2

File HTML-Strip-2.08.tar.gz uploaded to lookaside cache by eseyman

2014-12-13 Thread Emmanuel Seyman
A file has been added to the lookaside cache for perl-HTML-Strip: 39ea9dfb58e9cc2db13916be805e0a55 HTML-Strip-2.08.tar.gz -- Fedora Extras Perl SIG http://www.fedoraproject.org/wiki/Extras/SIGs/Perl perl-devel mailing list perl-devel@lists.fedoraproject.org

Broken dependencies: perl-OpenOffice-UNO

2014-12-13 Thread buildsys
perl-OpenOffice-UNO has broken dependencies in the epel-6 tree: On x86_64: perl-OpenOffice-UNO-0.07-4.el6.x86_64 requires libsal_textenc.so.3()(64bit) Please resolve this as soon as possible. -- Fedora Extras Perl SIG http://www.fedoraproject.org/wiki/Extras/SIGs/Perl perl-devel

Broken dependencies: perl-qpid_proton

2014-12-13 Thread buildsys
perl-qpid_proton has broken dependencies in the epel-6 tree: On x86_64: perl-qpid_proton-0.7-1.el6.x86_64 requires qpid-proton-c = 0:0.7 On i386: perl-qpid_proton-0.7-1.el6.i686 requires qpid-proton-c = 0:0.7 On ppc64: perl-qpid_proton-0.7-1.el6.ppc64 requires

Broken dependencies: perl-qpid_proton

2014-12-13 Thread buildsys
perl-qpid_proton has broken dependencies in the epel-6 tree: On x86_64: perl-qpid_proton-0.7-1.el6.x86_64 requires qpid-proton-c = 0:0.7 On i386: perl-qpid_proton-0.7-1.el6.i686 requires qpid-proton-c = 0:0.7 On ppc64: perl-qpid_proton-0.7-1.el6.ppc64 requires

Broken dependencies: perl-OpenOffice-UNO

2014-12-13 Thread buildsys
perl-OpenOffice-UNO has broken dependencies in the epel-6 tree: On x86_64: perl-OpenOffice-UNO-0.07-4.el6.x86_64 requires libsal_textenc.so.3()(64bit) Please resolve this as soon as possible. -- Fedora Extras Perl SIG http://www.fedoraproject.org/wiki/Extras/SIGs/Perl perl-devel

Broken dependencies: perl-Authen-Simple

2014-12-13 Thread buildsys
perl-Authen-Simple has broken dependencies in the epel-6 tree: On ppc64: perl-Authen-Simple-0.4-5.el6.noarch requires perl(Crypt::PasswdMD5) Please resolve this as soon as possible. -- Fedora Extras Perl SIG http://www.fedoraproject.org/wiki/Extras/SIGs/Perl perl-devel mailing list

Broken dependencies: perl-QWizard

2014-12-13 Thread buildsys
perl-QWizard has broken dependencies in the epel-5 tree: On ppc: perl-QWizard-3.15-8.el5.noarch requires perl(Gtk2) On x86_64: perl-QWizard-3.15-8.el5.noarch requires perl(Gtk2) On i386: perl-QWizard-3.15-8.el5.noarch requires perl(Gtk2) Please resolve this as soon as

Broken dependencies: perl-XML-Xerces

2014-12-13 Thread buildsys
perl-XML-Xerces has broken dependencies in the epel-5 tree: On ppc: perl-XML-Xerces-2.7.0_0-4.el5.ppc requires libxerces-c.so.27 On x86_64: perl-XML-Xerces-2.7.0_0-4.el5.x86_64 requires libxerces-c.so.27()(64bit) On i386: perl-XML-Xerces-2.7.0_0-4.el5.i386 requires

Broken dependencies: perl-WWW-GoodData

2014-12-13 Thread buildsys
perl-WWW-GoodData has broken dependencies in the epel-5 tree: On ppc: perl-WWW-GoodData-1.6-1.el5.noarch requires perl(Getopt::Long) = 0:2.36 On i386: perl-WWW-GoodData-1.6-1.el5.noarch requires perl(Getopt::Long) = 0:2.36 Please resolve this as soon as possible. -- Fedora

Broken dependencies: perl-Getopt-GUI-Long

2014-12-13 Thread buildsys
perl-Getopt-GUI-Long has broken dependencies in the epel-5 tree: On ppc: perl-Getopt-GUI-Long-0.91-5.el5.noarch requires perl(Gtk2) On x86_64: perl-Getopt-GUI-Long-0.91-5.el5.noarch requires perl(Gtk2) On i386: perl-Getopt-GUI-Long-0.91-5.el5.noarch requires perl(Gtk2)

Broken dependencies: perl-Getopt-GUI-Long

2014-12-13 Thread buildsys
perl-Getopt-GUI-Long has broken dependencies in the epel-5 tree: On ppc: perl-Getopt-GUI-Long-0.91-5.el5.noarch requires perl(Gtk2) On x86_64: perl-Getopt-GUI-Long-0.91-5.el5.noarch requires perl(Gtk2) On i386: perl-Getopt-GUI-Long-0.91-5.el5.noarch requires perl(Gtk2)

Broken dependencies: perl-XML-Xerces

2014-12-13 Thread buildsys
perl-XML-Xerces has broken dependencies in the epel-5 tree: On ppc: perl-XML-Xerces-2.7.0_0-4.el5.ppc requires libxerces-c.so.27 On x86_64: perl-XML-Xerces-2.7.0_0-4.el5.x86_64 requires libxerces-c.so.27()(64bit) On i386: perl-XML-Xerces-2.7.0_0-4.el5.i386 requires

Broken dependencies: perl-WWW-GoodData

2014-12-13 Thread buildsys
perl-WWW-GoodData has broken dependencies in the epel-5 tree: On ppc: perl-WWW-GoodData-1.6-1.el5.noarch requires perl(Getopt::Long) = 0:2.36 On i386: perl-WWW-GoodData-1.6-1.el5.noarch requires perl(Getopt::Long) = 0:2.36 Please resolve this as soon as possible. -- Fedora

Broken dependencies: perl-QWizard

2014-12-13 Thread buildsys
perl-QWizard has broken dependencies in the epel-5 tree: On ppc: perl-QWizard-3.15-8.el5.noarch requires perl(Gtk2) On x86_64: perl-QWizard-3.15-8.el5.noarch requires perl(Gtk2) On i386: perl-QWizard-3.15-8.el5.noarch requires perl(Gtk2) On ppc: